
doResizeJp = function() {
	var inner_thehash = window.self.location.hash.toString();
	if(inner_thehash.length > 1) {
		//Set the inner frame hash target jump to the outer frame hash target jump
		var inner_hashsep = inner_thehash.indexOf("#");
		if(inner_hashsep != -1) {
			inner_thehash = inner_thehash.substr(inner_hashsep+1);
		}
		if(decodeURIComponent && encodeURIComponent) {
			inner_thehash = decodeURIComponent(inner_thehash);
			inner_thehash = encodeURIComponent(inner_thehash);
		}
		inner_thehash = "#" + inner_thehash;
		window.self.location.href = inner_thehash;
	}
}

window.doResizeJpHdlr = doResizeJp;
XBrowserAddHandler(window,'resize','doResizeJpHdlr');
